#IF(#IsShopVoteSealVisible == 1 AND #DEFINED(#ShopVoteID))
(function() {
    #LOCAL("ParsedSealPosition", #ExtractedShopVoteSealPosition)
        var position = {
                fixed: 1,
                static: 4
            },

            sealHTMLCode = function() {
                var span = document.createElement('span');

                span.id="sv-badge-t4";
                document.body.appendChild(span);
            },

            script,
            scriptInitialised = false,

            initShopVoteScript = function() {
                if ( scriptInitialised ) {
                    return;
                }

                if (window.eComEventTarget) {
                    // create script element to load JavaScript source
                    script = document.createElement('script');

                    sealHTMLCode();

                    script.src = 'https://widgets.shopvote.de/js/reputation-badge-v2.min.js';
                    script.setAttribute("defer", true);
                    document.body.appendChild(script);

                    script.onload = function() {
                        function loadBadge() {
                            var myShopID = #ShopVoteID;
                            var myBadgetType = position.fixed;
                            var myLanguage = 'DE';
                            var mySrc = ('https:' === document.location.protocol ? 'https' : 'http');

                            createRBadge(myShopID, myBadgetType, mySrc, #ParsedSealPosition.HOffset, #ParsedSealPosition.VOffset, "#ParsedSealPosition.HAlign", "#ParsedSealPosition.VAlign");
                        }

                        #REM
                            /*
                            * If coming from a callback, 'load' will probably have already been triggered and won't be again, so just load the badge if 'complete'
                            */
                        #ENDREM
                        if ( document.readyState === 'complete' ) {
                            loadBadge();
                        } else {
                            window.addEventListener ? window.addEventListener("load", loadBadge, false) : window.attachEvent && window.attachEvent("onload", loadBadge);
                        }
                    }

                    scriptInitialised = true;
                }
            };

            // listen for Cookie First initialization event
            window.addEventListener("cf_consent", initShopVoteScript);

            initShopVoteScript();
    #ENDLOCAL #REM /* LOCAL("ParsedSealPosition", ExtractedShopVoteScriptCode) */ #ENDREM
})();
#ENDIF
